// 
#import "mt4_timezone_support.dll"
	//
	int TZSupportInit(string pTZInfoFileName);
	//
	int TZSupportDeInit(int aHandle);
	//
	int StrToBrokerTime(
		int aHandle,
		datetime pCurrentBrokerTime, 
		string pTime, 
		string pBrokerTZ 
	);
	// 
	// Pass the pTime as a datetime[] because MQL does not 
	// allow scalars passed by reference to DLLs. Clumsy, ain't?
	int isTimeBetweenRangeDLL(
                int aHandle,
                datetime pCurrentBrokerTime,
                datetime& pTime[],
                string pTimeFromStr,
                string pTimeUntilStr,
                string pBrokerTZStr
	);
#import

extern string 	TZSupport.BrokerTimeZone_dsc="To configure the broker time zone. Mandatory!";
extern string 	TZSupport.BrokerTimeZone="Europe/London";
//
extern string 	TZSupport.TimeZoneFileName_dsc1="This file is expected to reside in the experts/files/ folder";
extern string 	TZSupport.TimeZoneFileName_dsc2="Source: ftp://ftp.iana.org/tz/releases/";
extern string 	TZSupport.TimeZoneFileName="tzinfo.txt";
int			TZSupport.aHandle=0;

/**
Initializes the time zone support. Must be called once by the init() procedure of the EA
*/
void TZSupport.Init() {
	TZSupport.aHandle=TZSupportInit( TerminalPath() + "/experts/files/" + TZSupport.TimeZoneFileName );
}

/**
Frees the memory used by the Timezone support object. Must be called once by the deinit() procedure of the EA.
*/
void TZSupport.DeInit() {
	TZSupportDeInit(TZSupport.aHandle);
}

/**
A convenience wrapper to omit the object handle and the current broker time
*/
datetime TZSupport.StrToBrokerTime(string pTime, string pBrokerTZStr) {
	return( 
		StrToBrokerTime(
			TZSupport.aHandle, 
			TimeCurrent(), 
			pTime, 
			pBrokerTZStr
		) 
	);
}


